"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeFromObject = exports.alias = void 0;
function alias(obj, aliasMap) {
    for (const key in obj) {
        if (Array.isArray(obj[key])) {
            for (const item of obj[key]) {
                alias(item, aliasMap);
            }
        }
        if (aliasMap[key]) {
            obj[aliasMap[key]] = obj[key];
            delete obj[key];
        }
    }
    return obj;
}
exports.alias = alias;
function removeFromObject(obj, keys) {
    if (Array.isArray(obj)) {
        for (const item of obj) {
            removeFromObject(item, keys);
        }
    }
    for (const key in obj) {
        if (Array.isArray(obj[key])) {
            for (const item of obj[key]) {
                removeFromObject(item, keys);
            }
        }
        if (keys.includes(key)) {
            delete obj[key];
        }
    }
}
exports.removeFromObject = removeFromObject;
